<?php
//===================================
// Plugin MULTIVIEWER pour SPIP
//
// fichier : plugin_multiviewer.php version 1.0
//
// Auteur : Ch.Boutin
//===================================
define( "CSTE_VERSION" , "V1..." );

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');

//====================================
//
//====================================

function multiviewer_Page_fin()
{
    echo "\n<br/><br/>\n";
    // echo "<hr/>\n";
    echo "<center><i class='arial1' >"
          ,"Plugin MultiViewer ".CSTE_VERSION." pour SPIP 2.0 par Christophe Boutin -Opalys.info- <br/>"
          ,"pour ..."
          ,"</i></center>\n";
    // echo "<hr/>\n";
    echo fin_gauche();
    echo fin_page(); // affiche bandeau SPIP version, etc.
}



function autoriser_plugin_multiviewer_dist($faire, $type, $id, $qui, $opt)
{
    return ($qui['statut'] == '0minirezo');
}

function exec_multiviewer()
{
    $nomviewer = _request('nomviewer');

    $commencer_page = charger_fonction('commencer_page', 'inc');
    echo $commencer_page(_T('multiviewer:multiviewer'));

    echo debut_gauche('Multiviewer', true);

    echo debut_boite_info(true);
    // Par la suite, c'est ici qu'il faudrait inscrire les messages pour l'utilisateur...
    // mais il faut remanier tout le code.
    echo "<p class='arial1'>"
           ,"<b>Liste des modules:</b>"
           ,"<hr/>";
    echo ListeModule();
    echo "<hr/>";
    echo "module s&#233;lectionn&#233;:<br/>";
    echo "<center><b>";
    echo "</b></center>";

    // Afficher "Voir tables SPIP"
    if (autoriser('webmestre'))
    {
    }
    echo fin_boite_info(true);


    // Par la suite, c'est ici qu'il faudrait mettre l'aide des commandes.
    $texte_bloc_des_raccourcis = "<p class='arial1'>"
           ."<b>LISTER</b> : Affichage par groupe de 20 enregistrements."
           ." (Tri&#233;s sur la clef primaire si elle existe)"
           ."<br/><br/><u>Les Qq Commandes</u><br/>"
           ."<br/><b>TRIER</b> : Cliquer sur l'icone ^v dans l'ent&#234;te du champ"
           ." (bascule &#224; chaque clic Ascendant, Decsendant, Aucun)<br/>"
           ."<br/><b>AJOUTER</b> : Pour ajouter un nouvel enregistrement, voir le formulaire du bas de page<br/>"
           ."<br/><b>SUPPRIMER</b> : Lister le contenu de la table et cliquer sur la croix rouge &#224; gauche de la ligne.<br/>"
           ."<br/><b>MODIFIER</b> : Cliquer sur l'enregistement<br/>";

    $texte_bloc_des_raccourcis ="";

    echo bloc_des_raccourcis($texte_bloc_des_raccourcis);

    // centre
    echo debut_droite('MultiViewer', true);

    echo gros_titre('Multiviewer :','',false);
    echo debut_cadre_relief("../"._DIR_PLUGIN_MULTIVIEWER."/img_pack/table.gif",true,'','');

    if ($nomviewer!="")
    {
        $strListe = ListeParamModule($nomviewer);
        echo $strListe;
    }
    else
    {
        echo "Choisissez un viewer...";
    }
    echo "<br/><br/>";
    echo fin_cadre_relief(true);

    multiviewer_Page_fin();

} // function exec_multiviewer()




function ListeModule()
{
        $strHTML="";

        if (!@file_exists( _DIR_PLUGIN_MULTIVIEWER."modules/modules_liste.php"))
        {
             $strHTML .= MULTIVIEWER_ERREUR("Le fichier 'modules_liste.php' n'a pas &eacute;t&eacute; trouv&eacute;.");
        }
        else
        {
            // la constante _DIR_PLUGIN_MULTIVIEWER s'adapte en fonction de l'espace priv ou public
            include_once(_DIR_PLUGIN_MULTIVIEWER."modules/modules_liste.php");

            // lire liste des modules viewer  prendre en compte
            $tab_modules = Array();
            // fichiers inclus : peuvent tre redfinis dans le fichier ../modules/modules_liste.php
            // Pour ajouter des modules : Voir fichier ../modules/modules_liste.php
            $tab_modules ["simpleviewer"] = array( "viewer" => "simpleviewer-free.swf"
                                                       , "module" => "simpleviewer");
            // attention pas de tiret dans le nom du module !!
            $tab_modules ["simpleviewerpro"]   = array( "viewer" => "simpleviewer-pro.swf"
                                                       , "module" => "simpleviewerpro");
            $tab_modules ["postcard"]     = array( "viewer" => "viewer-postcard-free.swf"
                                                       , "module" => "postcard");
            $tab_modules ["autoviewer"]   = array( "viewer" => "autoviewer-free.swf"
                                                       , "module" => "autoviewer");
            $tab_modules ["tiltviewer"]   = array( "viewer" => "TiltViewer-free.swf"
                                                       , "module" => "tiltviewer");

            // charger les modules supplmentaires
            $tab_modules = MVW_Init_Application($tab_modules,"");

            foreach ($tab_modules as $k=>$tab)
            {
                $strHTML.= "<a href='"
                           .generer_url_ecrire('multiviewer','nomviewer='.$tab['module'])
                           ."'>".$k."</a><br/>";
            }
        }

    return $strHTML;
}


function ListeParamModule($strNomModule)
{
    $strHTML ="<h3>Liste des parametres du module : ".$strNomModule."</h3>";

    if ($strNomModule=="INIT")
    {
        $strHTML .= MULTIVIEWER_ERREUR("param&egrave;tre r&eacute;serv&eacute;");
    }
    else if ($strNomModule=="")
    {
        $strHTML .= MULTIVIEWER_ERREUR("Le nom de la galerie est absent.");
    }
    else
    {
        // Tout semble Ok, on continue
        //------------

        if (!@file_exists( _DIR_PLUGIN_MULTIVIEWER."modules/MVW_DEFINITION_".$strNomModule.".php"))
        {
             $strHTML .= MULTIVIEWER_ERREUR("Le fichier 'MVW_DEFINITION_".$strNomModule.".php' n'a pas &eacute;t&eacute; trouv&eacute;.(VOIRFLASH)");
        }
        else
        {
             if (!@file_exists( _DIR_PLUGIN_MULTIVIEWER."modules/MVW_DEFINITION_".$strNomModule.".php"))
             {
                  $strHTML .= MULTIVIEWER_ERREUR("Le module demand&eacute; 'MVW_DEFINITION_"
                                         .$strNomModule.".php' n'a pas &eacute;t&eacute; trouv&eacute;.(VOIRFLASH)");
             }
             else
             {
                include_once(_DIR_PLUGIN_MULTIVIEWER."modules/MVW_DEFINITION_".$strNomModule.".php");

                $strMVW_DEFINITION_Fonction = "MVW_DEFINITION_".$strNomModule;
                // vrifier que la fonction existe
                if ( !function_exists($strMVW_DEFINITION_Fonction) )
                {
                    $strHTML .= MULTIVIEWER_ERREUR("La fonction : ("
                            .$strMVW_DEFINITION_Fonction
                            .") n'est pas definie dans les modules du plugin MULTIVIEWER.");
                }
                else
                {
                    $strHTML .= "<b>NomParametre</b><i> ( Valeur par defaut / Categorie )<br/>";
                    $strHTML .= "remarque<br/>";
                    $strHTML .= "<hr/><br/>";
                    $tab_DEFINITION = $strMVW_DEFINITION_Fonction();
                    foreach($tab_DEFINITION as $k=>$tab)
                    {
                        $strHTML .= "<b>".$k."</b><i> ( ".$tab['VALEUR']." / ".$tab['TYPE']." )<br/>";
                        $strHTML .= $tab['remarque']."<hr/><br/>";
                    }
                }
          }
        }
    }


    return $strHTML;
}





//------------------------------------------
function MULTIVIEWER_ERREUR($strTXTERREUR, $strTYPE = "ERREUR")
{
    return "\n\n<br/><b>"
           .$strTYPE." dans le Plugin MULTIVIEWER</b> : "
           .$strTXTERREUR."<br/>\n\n";
} // function MULTIVIEWER_ERREUR


?>